classification
Title: Support Chrome in webbrowser.py
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: arnaudc, georg.brandl, orsenthil, phd, python-dev
Priority: normal Keywords: easy, needs review, patch

Created on 2011-12-17 11:22 by phd, last changed 2011-12-21 14:40 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
webbrowser.py-2.patch arnaudc, 2011-12-19 20:13 review
webbrowser_doc.patch arnaudc, 2011-12-19 21:35 review
Messages (8)
msg149666 - (view) Author: Oleg Broytman (phd) * Date: 2011-12-17 11:22
Support Google Chrome/Chromium browsers in webbrowser.py.

The attached patch is against Python 2.7, but it should be applied cleanly to Python 3+.
msg149885 - (view) Author: Arnaud Calmettes (arnaudc) Date: 2011-12-19 19:05
Hi.
The patch works fine on my box with Chromium 16 under Archlinux.

However, I think it might not work under Ubuntu or Debian, since the program is named "chromium-browser" on these distros, and it is missing from the list of tested browser. I am setting up an Ubuntu box to test and confirm this.
msg149886 - (view) Author: Oleg Broytman (phd) * Date: 2011-12-19 19:41
I updated the patch. Thank you for reviewing!
msg149890 - (view) Author: Arnaud Calmettes (arnaudc) Date: 2011-12-19 20:13
The new patch works under Ubuntu but not not under Archlinux anymore (where the program is named "chromium").
 
Here is a patch that works with python 3.3 under both distributions.
msg149891 - (view) Author: Oleg Broytman (phd) * Date: 2011-12-19 20:20
I'm fine with that version.
msg149893 - (view) Author: Arnaud Calmettes (arnaudc) Date: 2011-12-19 21:35
Here is a patch against the 3.3 documentation, mentionning the new supported browser types.
msg149990 - (view) Author: Roundup Robot (python-dev) Date: 2011-12-21 14:31
New changeset 7faa90a6324c by Senthil Kumaran in branch 'default':
Issue 13620 - Support chrome browser in webbrowser.py module.
http://hg.python.org/cpython/rev/7faa90a6324c

New changeset bd3631f9aa5c by Senthil Kumaran in branch 'default':
Docs and News update for Issue13620. Chrome support in webbrowser.py
http://hg.python.org/cpython/rev/bd3631f9aa5c
msg149992 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-12-21 14:33
This is in 3.3. Thanks for the patches.
History
Date User Action Args
2011-12-21 14:40:36pitrousetstage: patch review -> resolved
2011-12-21 14:33:42orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg149992

resolution: fixed
2011-12-21 14:31:54python-devsetnosy: + python-dev
messages: + msg149990
2011-12-19 21:35:54arnaudcsetfiles: + webbrowser_doc.patch

messages: + msg149893
2011-12-19 20:20:36phdsetmessages: + msg149891
2011-12-19 20:20:13phdsetfiles: - webbrowser.py.patch
2011-12-19 20:13:18arnaudcsetfiles: + webbrowser.py-2.patch

messages: + msg149890
2011-12-19 19:41:43phdsetfiles: + webbrowser.py.patch
keywords: + patch
messages: + msg149886
2011-12-19 19:40:55phdsetfiles: - webbrowser.py.patch
2011-12-19 19:05:39arnaudcsetnosy: + arnaudc
messages: + msg149885
2011-12-19 15:02:26pitrousetkeywords: + easy, needs review, - patch
nosy: + georg.brandl
stage: patch review

versions: + Python 3.3
2011-12-17 11:22:31phdcreate